<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__gatt__le" kind="group">
    <compoundname>gatt_le</compoundname>
    <title>BLE (Bluetooth Low Energy)</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__gatt__le_1gab44b8568a7e3d887d034e4e4d0277bc0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_gatt_le_connect</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bt_ble_address_type_t bd_addr_type, wiced_bt_ble_conn_mode_t conn_mode, wiced_bool_t is_direct)</argsstring>
        <name>wiced_bt_gatt_le_connect</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
          <declname>bd_addr_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__wicedbt___device_management_1ga4309edd4a7a1c7f30bdc57d8107e84ab">wiced_bt_ble_conn_mode_t</ref></type>
          <declname>conn_mode</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>is_direct</declname>
        </param>
        <briefdescription>
<para>Open GATT over LE connection to a remote device Result is notified using <bold> GATT_CONNECTION_STATUS_EVT </bold> of <ref kindref="member" refid="group__wicedbt__gatt_1ga826a5f3ef4bd8587ee6af52ed9b4a4f2">wiced_bt_gatt_cback_t</ref>. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Remote device address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr_type</parametername>
</parameternamelist>
<parameterdescription>
<para>Public or random address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">conn_mode</parametername>
</parameternamelist>
<parameterdescription>
<para>: connection scan mode </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_direct</parametername>
</parameternamelist>
<parameterdescription>
<para>: Is direct connection or not</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> TRUE </bold> : If connection started <bold> FALSE </bold> : If connection start failure</para>
</simplesect>
NOTE : If is_direct = WICED_FALSE, it will create background connection. Default Background connection type is BTM_BLE_CONN_NONE. Before calling wiced_bt_gatt_le_connect please set background connection type (AUTO / SELECTIVE) using wiced_bt_ble_set_background_connection_type API </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1256" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__le_1ga7aee6dd1256d097cc5a006fc02532263" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_gatt_listen</definition>
        <argsstring>(wiced_bool_t start, wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_gatt_listen</name>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>start</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>Start or stop LE advertisement and listen for connection. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">start</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE to add device to whitelist / FALSE to remove </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Device to add/remove from whitelist</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> TRUE </bold> : Success <bold> FALSE </bold> : Failure </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1325" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE (Bluetooth Low Energy) Specific functions. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>